> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Product Reviews

> Update status, reply, etc of a particular review



## OpenAPI

````yaml /api-reference/products/openapi.json put /products/reviews/{reviewId}
openapi: 3.0.0
info:
  title: Products API
  description: Documentation for products API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Products
    description: Documentation for products API
  - name: Prices
    description: Documentation for products API
  - name: Store
    description: Documentation for products API
  - name: Collections
    description: Documentation for products API
  - name: Reviews
    description: Documentation for products API
paths:
  /products/reviews/{reviewId}:
    put:
      tags:
        - Reviews
      summary: Update Product Reviews
      description: Update status, reply, etc of a particular review
      operationId: update-product-review
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: reviewId
          required: true
          in: path
          description: Review Id
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProductReviewDto'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateProductReviewsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - products.write
components:
  schemas:
    UpdateProductReviewDto:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        productId:
          type: string
          description: Product Id
          example: 6578278e879ad2646715ba9c
        status:
          type: string
          description: Status of the review
          example: approved
        reply:
          description: Reply of the review
          type: array
          items:
            $ref: '#/components/schemas/ProductReviewDto'
        rating:
          type: number
          description: Rating of the product
          example: '4.5'
        headline:
          type: string
          description: Headline of the Review
          example: Amazing product with great quality
        detail:
          type: string
          description: Detailed Review of the product
          example: The product is for sure a must and recommended buy
      required:
        - altId
        - altType
        - productId
        - status
    UpdateProductReviewsResponseDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status of api action
          example: true
        message:
          type: string
          description: Success message
          example: Successfully created
      required:
        - status
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    ProductReviewDto:
      type: object
      properties:
        headline:
          type: string
          description: Headline of the Review
          example: Amazing product with great quality
          minLength: 0
          maxLength: 200
        comment:
          type: string
          description: Detailed Review of the product
          example: >-
            This product exceeded my expectations in terms of quality and
            performance. Highly recommended!
          minLength: 0
          maxLength: 5000
        user:
          $ref: '#/components/schemas/UserDetailsDto'
      required:
        - headline
        - comment
        - user
    UserDetailsDto:
      type: object
      properties:
        name:
          type: string
          description: Name of the customer
          example: John Doe
          minLength: 1
          maxLength: 100
        email:
          type: string
          description: Email of the customer
          example: example@example.com
        phone:
          type: string
          description: Phone no of the customer
          example: +1-555-555-5555
        isCustomer:
          type: boolean
          description: Is the person an admin or customer
          example: true
      required:
        - name
        - email

````